<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/ll"
    android:layout_width="match_parent"
    android:layout_height="40dp"
    android:layout_margin="5dp"
    android:background="@drawable/bg_search_layout_new"
    android:gravity="center_vertical"
    android:orientation="horizontal">

    <EditText
        android:id="@+id/et"
        android:layout_width="0dp"
        android:layout_height="match_parent"
        android:layout_weight="1"
        android:background="@null"
        android:paddingStart="10dp"
        android:singleLine="true"
        android:textColor="@color/text_normal"
        android:textColorHint="@color/text_gray_l"
        android:textSize="14sp"
        tools:text="edittext" />

    <Spinner
        android:id="@+id/spinner"
        android:layout_width="0dp"
        android:layout_height="match_parent"
        android:layout_weight="1"
        android:background="@drawable/bg_spinner_pda_new"
        android:overlapAnchor="false"
        android:spinnerMode="dropdown" />

    <TextView
        android:id="@+id/tv"
        android:layout_width="0dp"
        android:layout_height="match_parent"
        android:layout_weight="1"
        android:gravity="center_vertical"
        android:paddingStart="10dp"
        android:textColor="@color/text_normal"
        android:textColorHint="@color/text_gray_l"
        android:textSize="14sp"
        tools:text="textView" />

    <ImageView
        android:id="@+id/iv"
        android:layout_width="40dp"
        android:layout_height="40dp"
        android:padding="10dp"
        android:src="@mipmap/scan_code"
        android:visibility="gone" />

    <TextView
        android:id="@+id/tv_m"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginLeft="5dp"
        android:text="*"
        android:textColor="@color/red"
        android:textSize="16sp"
        android:visibility="gone" />

</LinearLayout>
